<template>
  <v-card class="step">
    <v-row>
      <v-col align="center" class="mt-3">
        <v-icon>
          $SinV1
        </v-icon>
      </v-col>
      <v-col align="center" class="mt-3">
        <v-icon>
          $RinV5
        </v-icon>
      </v-col>
    </v-row>
    <v-row align="center">
      <v-col cols="2" class="text-h5">
        S wave in V1 in mm?
      </v-col>
      <v-col class="text-h4">
        <v-slider
          class="pt-16 mx-10"
          :value="SinV1"
          step="1"
          max="35"
          min="1"
          thumb-label="always"
          ticks
          :thumb-size="40"
          @change="setSinV1"
        ></v-slider>
      </v-col>
      <v-col cols="2" class="text-h5">
        R wave in V5 in mm?
      </v-col>
      <v-col>
        <v-slider
          class="pt-16 mx-10"
          :value="RinV5"
          step="1"
          max="35"
          min="1"
          thumb-label="always"
          ticks
          :thumb-size="40"
          @change="setRinV5"
        ></v-slider>
      </v-col>
    </v-row>
    <v-row align="center">
      <v-col cols="5" class="text-h5">Inverted T wave in V5 and V6 with gradual downsloap and rapid return to baseline</v-col>
      <v-col cols="1">
        <v-switch v-model="InvertedT"></v-switch>
      </v-col>
      <v-col cols="6">
        <v-icon>$InvertedT</v-icon>
      </v-col>
    </v-row>
    <v-row class="mt-10">
      <v-col cols="12">
        <v-alert class="text-h5" border="left" color="pink" dark v-for="item in stepConclusions('hypertrophyII')" :key="item.diagnosis">
          {{ item.motivation + ': '}} <span class="font-weight-bold">{{item.diagnosis}}</span>
        </v-alert>
      </v-col>
    </v-row>

  </v-card>
</template>

<script>
import { mapGetters, mapState } from 'vuex';

export default {
  name: 'HypertrophyII',
  computed: {
    ...mapState([
      'SinV1', 'RinV5', 'InvertedT',
    ]),
    ...mapGetters([
      'stepConclusions',
    ]),
    InvertedT: {
      get() {
        return this.$store.state.InvertedT;
      },
      set(value) {
        this.$store.commit('setInvertedT', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
  },
  methods: {
    setSinV1(value) {
      this.$store.commit('setSinV1', value);
      this.$store.dispatch('setGlobalConclusions');
    },
    setRinV5(value) {
      this.$store.commit('setRinV5', value);
      this.$store.dispatch('setGlobalConclusions');
    },
  },
};
</script>

<style scoped>

</style>
